# IRsLangObjFactory Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | CreateInstance ([in] const IID *piid,[out, retval] IRsLangObject **ppLangObj)
HRESULT | CreateAggInstance ([in] IUnknown *pUnkOuter,[in] REFIID riid,[out] IUnknown **ppvObject)
HRESULT | EnumLangObjDesc ([out, retval] IRsEnumLangObjDesc **ppEnumLangObjDesc)

## Detailed Description

Factory for language definition objects.

## Member Function Documentation

HRESULT IRsLangObjFactory::CreateInstance | ( | [in] const IID * | piid,
|  | [out, retval] IRsLangObject ** | ppLangObj |
| ) |  |  |

Creates a language object.

Parameters:

  | piid | [in] Pointer to the identifier of the data object.

Returns:
  ppLangObj [out,retval] Address of LangObject Interface variable that receives the interface pointer to newly created object.

  This method supports the standard return values E_INVALIDARG, E_OUTOFMEMORY, and E_UNEXPECTED, as well as the following:

  S_OK The specified object was created.

  E_NOTIMPL This data object factory does not support instancing data object.

HRESULT IRsLangObjFactory::CreateAggInstance | ( | [in] IUnknown * | pUnkOuter,
|  | [in] REFIID | riid,
|  | [out] IUnknown ** | ppvObject |
| ) |  |  |

Creates a language object that is part of an aggregate.

Parameters:

  | pUnkOuter | [in] pointer to the controlling IUnknown interface of the aggregate.
  | riid | [in] Reference to the identifier of the node.
  | ppvObject | [out] Address of data object Interface variable that receives the interface pointer to newly created object.

Returns:
  This method supports the standard return values E_INVALIDARG, E_OUTOFMEMORY, and E_UNEXPECTED, as well as the following:

  S_OK The specified object was created.

  E_NOTIMPL This node factory does not support instancing aggregated data objects.

HRESULT IRsLangObjFactory::EnumLangObjDesc | ( | [out, retval] IRsEnumLangObjDesc ** | ppEnumLangObjDesc | ) |

Enumerates data object's descriptors of current factory object.

Returns:
  ppEnumLangObjDesc [out,retval] Pointer to an IRsEnumLangObjDesc interface.

  S_OK Method succeeded.

  E_NOTIMPL This data object factory does not support enumeration of Data object's descriptors